Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519750 - [Web-Admin] Healing and rebalance cards are empty for all volume
Summary: [Web-Admin] Healing and rebalance cards are empty for all volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nishanth Thomas
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-12-01 11:35 UTC by Prasad Desala
Modified: 2018-09-04 07:01 UTC (History)
3 users (show)

Fixed In Version: tendrl-ansible-1.6.1-2.el7rhgs.noarch.rpm, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:00:31 UTC


Attachments (Terms of Use)
Rebalance and healing cards empty (deleted)
2017-12-01 11:35 UTC, Prasad Desala
no flags Details
volumes dashboard (deleted)
2018-01-30 09:07 UTC, Lubos Trilety
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:01:24 UTC

Description Prasad Desala 2017-12-01 11:35:11 UTC
Created attachment 1361531 [details]
Rebalance and healing cards empty

Description of problem:
=======================
On grafana, healing and rebalance cards are showing empty for all the volume. The volume types are : disperse, distributed-disperse, replicate volumes. I even tried creating a new volume to figure it out if there is some issue with existing volumes but the cards are not showing up even for the newly created volumes (waited for a long time....>3hrs).

We are able to see the healing and rebalance information for the volumes on a different system though.

Version-Release number of selected component (if applicable):

tendrl-grafana-plugins-1.5.4-8.el7rhgs.noarch
tendrl-selinux-1.5.4-1.el7rhgs.noarch
tendrl-node-agent-1.5.4-8.el7rhgs.noarch
tendrl-ansible-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-8.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-1.el7rhgs.noarch
tendrl-commons-1.5.4-5.el7rhgs.noarch
tendrl-api-1.5.4-3.el7rhgs.noarch
tendrl-api-httpd-1.5.4-3.el7rhgs.noarch
tendrl-notifier-1.5.4-5.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch

How reproducible:
always on my test setup

Actual results:
===============
on my setup, Healing and rebalance cards are empty for all volume

Expected results:
================
Healing and rebalance cards should display the information.

Additional info:
================
Attached screenshot.

Comment 5 Lubos Trilety 2018-01-30 09:07:08 UTC
Created attachment 1388215 [details]
volumes dashboard

Comment 6 Lubos Trilety 2018-01-30 09:37:49 UTC
Checked with:
tendrl-commons-1.5.4-9.el7rhgs.noarch
tendrl-api-1.5.4-4.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-14.el7rhgs.noarch
tendrl-ansible-1.5.4-7.el7rhgs.noarch
tendrl-node-agent-1.5.4-16.el7rhgs.noarch
tendrl-ui-1.5.4-6.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-14.el7rhgs.noarch
tendrl-notifier-1.5.4-6.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-api-httpd-1.5.4-4.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch

I was not able to reproduce the issue. Healing panel is not part of the dashboard anymore and rebalance panel was not empty. See attachment 1388215 [details] for more details.

Comment 8 Filip Balák 2018-08-01 12:30:31 UTC
Based on Comment 6 and that it was not addressed I assume that Healing panel was removed on purpose and I VERIFY this issue. Rebalance panel seems to be working.

I used volume types from https://github.com/usmqe/usmqe-setup/tree/6df1df92c48f3caffb193f557c1d6b9f124e44fe/gdeploy_config:
volume_alpha_distrep_6x2
volume_beta_arbiter_2_plus_1x2
volume_gama_disperse_4_plus_2x2

Tested with:
tendrl-ansible-1.6.3-5.el7rhgs.noarch
tendrl-api-1.6.3-4.el7rhgs.noarch
tendrl-api-httpd-1.6.3-4.el7rhgs.noarch
tendrl-commons-1.6.3-9.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-7.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-7.el7rhgs.noarch
tendrl-node-agent-1.6.3-9.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-8.el7rhgs.noarch

Comment 9 Filip Balák 2018-08-01 13:45:43 UTC
Healing panel was moved to Brick dashboard according to BZ 1524431. Healing panel in this dashboard show relevant data too for volumes volume_alpha_distrep_6x2, volume_beta_arbiter_2_plus_1x2 and volume_gama_disperse_4_plus_2x2.

Comment 11 errata-xmlrpc 2018-09-04 07:00:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.